<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array('name'=>'Sidebar Left',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
    register_sidebar(array('name'=>'Sidebar Right',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));

function get_comment_number() {
	if ( '' === $args['per_page'] && get_option('page_comments') )
		$args['per_page'] = get_option('comments_per_page');

	if ( empty($args['per_page']) ) {
		$args['per_page'] = 0;
		$args['page'] = 0;
	}

	if ( $args['per_page'] ) {
		if ( '' == $args['page'] )
			$args['page'] = get_query_var('cpage');
	}
	$ccomp = ($args['page']-1) * $args['per_page'] ;

	global $comment_num;
	if(isset($comment_num)) {
		$comment_num++;
	} else { $comment_num = 1; }
	
	return $comment_num + $ccomp;
}	
	
function list_comments($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;  
?>  
    <li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>"><div id="div-comment-<?php comment_ID(); ?>">
		<span class="ListNr"><?php echo get_comment_number(); ?></span>
		<?php echo get_avatar($comment, $size = '30'); ?>
		<p class="ListUser author comment-author vcard"><?php comment_author_link() ?></p>
		<p class="ListDate meta comment-meta commentmetadata">
			<a class="date" href="#comment-<?php comment_ID(); ?>" title="Permalink to this response"><?php comment_date(); echo "  "; comment_time(); ?></a> 
			<span class="reply"><?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span>
			<span class="edit"><?php edit_comment_link(__("編集"), '', ''); ?></span>
		</p>
		<div class="ListContent commenttext">
			<?php if ($comment->comment_approved == '0') : ?><em>承認待ちのコメントです。</em><?php endif; ?>			
			<?php comment_text(); ?>
			<!--<p class="reply"><?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></p>-->
		</div>
	</div>
<?php } // end list_comments() ?>
